[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#614726: FFmpeg 0.6 transition


the ffmpeg transition got entangled with soundtouch (libsoundtouch1c2 →
libsoundtouch0), vtk (5.4 → 5.6), and now with gdal (through
openscenegraph).  While soundtouch is close to ready, a number of vtk's
reverse deps FTBFS, and afaik gdal has barely started, so I'm looking at
separating these out.

So I'm thinking of temporarily keeping libavutil49 in testing, with
something like this:

diff --git a/britney b/britney
index 3069203..1fc7d33 100755
--- a/britney
+++ b/britney
@@ -137,6 +137,10 @@ pkg_lists () {
           for di_pkg_file in $suite_dir/{main,contrib,non-free}/debian-installer/binary-$arch/Packages.gz; do
               test -f $di_pkg_file && zcat $di_pkg_file | dedupe_pkg_list >>$1/$suite/Packages_$arch
+         # XXX ugly hack, close your eyes.
+          if [ -f $FTP_MIRROR/dists/testing/main/binary-$arch/Packages.gz ]; then
+              zcat $FTP_MIRROR/dists/testing/main/binary-$arch/Packages.gz | grep-dctrl -FPackage libavutil49 -a -X -FSource ffmpeg | sed -e 's/^Source:.*/Source: ffmpeg0.5/' >>$1/$suite/Packages_$arch
+          fi
   $FAUXPKG_SCRIPT generate $1/testing $1/unstable

I'm hoping since libavutil has versioned symbols having two versions in
testing for a little while won't be too much of a problem.

A test run with the following set of hints looks like it would work,
once the missing builds for audacity and gst-plugins-bad0.10 are in:

urgent amide/0.9.2-1.1
urgent soundtouch/1.5.0-4
urgent portaudio19/19+svn20101113-3
urgent pcre3/8.12-3
urgent zoneminder/1.24.2-9
urgent audacity/1.3.12-14
urgent gst-plugins-bad0.10/0.10.19-2.1
# link ocaml and ffmpeg transitions, not good 
remove liquidsoap/0.9.2-3 ocaml-soundtouch/0.1.5-1 liq-contrib/08.11-1
# ftbfs on armel, unmaintained (#598933)
remove ktoon/0.8.1-4.1
# ftbfs (#615563)
remove cherokee/1.0.8-5
# ftbfs (#615654)
remove ihu/0.6.0-2
# obsolete binary needs decrufting
force soundtouch/1.5.0-4

hint ffmpeg/4:0.6.1-5 soundtouch/1.5.0-4 gst-plugins-bad0.10/0.10.19-2.1



Reply to: